Subject: [alpine-aports] [PATCH] testing/libhtp: new aport

From: Steve McMaster <[email-masked]>
Date: Sun, 18 Dec 2016 01:58:08 -0500

https://github.com/OISF/libhtp
HTTP normalizer and parser library
---
 testing/libhtp/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/libhtp/APKBUILD

diff --git a/testing/libhtp/APKBUILD b/testing/libhtp/APKBUILD
new file mode 100644
index 0000000..169caba
--- /dev/null
+++ b/testing/libhtp/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Steve McMaster <[email-masked]>
+# Maintainer: Steve McMaster <[email-masked]>
+pkgname=libhtp
+pkgver=0.5.23
+pkgrel=0
+pkgdesc="HTTP normalizer and parser library"
+url="https://github.com/OISF/libhtp"
+arch="all"
+license="BSD"
+depends="zlib"
+depends_dev="zlib-dev"
+makedepends="automake autoconf libtool zlib-dev"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/OISF/libhtp/archive/$pkgver.tar.gz
+"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$builddir"
+	autoreconf -vif || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
-- 
2.9.3 (Apple Git-75)

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---